- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# VrpParams Class Reference

`#include <VrpParams.h>`

Inheritance diagram for VrpParams:

[legend]
Collaboration diagram for VrpParams:

[legend]
List of all members.

## Public Types
| doGreedy
| doExtraInRoot
| tspProb
| endOfBoolParams
| numRoutes
| verbosity
| greedyNumTrials
| whichConnectedRoutine
| maxNumCutsInShrink
| whichTspCuts
| endOfIntParams
| endOfDblParams
| strDummy
| endOfStrParams
| strArrayDummy
| endOfStrArrayParams
enum | boolParams { doGreedy, doExtraInRoot, tspProb, endOfBoolParams }
| Character parameters. More...
enum | intParams { numRoutes, verbosity, greedyNumTrials, whichConnectedRoutine, maxNumCutsInShrink, whichTspCuts, endOfIntParams }
| Integer paramters. More...
enum | dblParams { endOfDblParams }
| Double parameters. More...
enum | strParams { strDummy, endOfStrParams }
| String parameters. More...
enum | strArrayParams { strArrayDummy, endOfStrArrayParams }
| There are no string array parameters. More...
## Public Member Functions
virtual void | createKeywordList ()
| Method for creating the list of keyword looked for in the parameter file.
virtual void | setDefaultEntries ()
| Method for setting the default values for the parameters.
void | setEntry (const boolParams key, const char *val)
| char* is true(1) or false(0), not used
void | setEntry (const boolParams key, const char val)
| char is true(1) or false(0), not used
void | setEntry (const boolParams key, const bool val)
| This method is the one that ever been used.
void | setEntry (const intParams key, const char *val)
void | setEntry (const intParams key, const int val)
void | setEntry (const dblParams key, const char *val)
void | setEntry (const dblParams key, const double val)
void | setEntry (const strParams key, const char *val)
void | setEntry (const strArrayParams key, const char *val)
Constructors.
| VrpParams ()
| The default constructor creates a parameter set with from the template argument structure.
Query methods
The members of the parameter set can be queried for using the overloaded entry() method. Using the example in the class documentation the user can get a parameter with the "<code>param.entry(USER_par::parameter_name)</code>" expression.
bool | entry (const boolParams key) const
int | entry (const intParams key) const
double | entry (const dblParams key) const
const std::string & | entry (const strParams key) const
const std::vector< std::string > & | entry (const strArrayParams key) const
Packing/unpacking methods
void | pack (AlpsEncoded &buf)
| Pack the parameter set into the buffer (AlpsEncoded is used as buffer Here).
void | unpack (AlpsEncoded &buf)
| Unpack the parameter set from the buffer.

## Detailed Description

Definition at line 24 of file VrpParams.h.

## Member Enumeration Documentation

enum VrpParams::boolParams

Character parameters.

All of these variable are used as booleans (true = 1, false = 0).

Enumerator:

  doGreedy |
  doExtraInRoot |
  tspProb |
  endOfBoolParams |

Definition at line 28 of file VrpParams.h.

enum VrpParams::intParams

Integer paramters.

Enumerator:

  numRoutes |
  verbosity |
  greedyNumTrials |
  whichConnectedRoutine |
  maxNumCutsInShrink |
  whichTspCuts |
  endOfIntParams |

Definition at line 36 of file VrpParams.h.

enum VrpParams::dblParams

Double parameters.

Enumerator:

  endOfDblParams |

Definition at line 47 of file VrpParams.h.

enum VrpParams::strParams

String parameters.

Enumerator:

  strDummy |
  endOfStrParams |

Definition at line 53 of file VrpParams.h.

enum VrpParams::strArrayParams

There are no string array parameters.

Enumerator:

  strArrayDummy |
  endOfStrArrayParams |

Definition at line 60 of file VrpParams.h.

## Constructor & Destructor Documentation

VrpParams::VrpParams | ( |  | ) | `[inline]`

The default constructor creates a parameter set with from the template argument structure.

The keyword list is created and the defaults are set.

Definition at line 72 of file VrpParams.h.

References createKeywordList(), and setDefaultEntries().

## Member Function Documentation

virtual void VrpParams::createKeywordList | ( |  | ) | `[virtual]`

Method for creating the list of keyword looked for in the parameter file.

Implements AlpsParameterSet.

Referenced by VrpParams().

virtual void VrpParams::setDefaultEntries | ( |  | ) | `[virtual]`

Method for setting the default values for the parameters.

Implements AlpsParameterSet.

Referenced by VrpParams().

bool VrpParams::entry | ( | const boolParams | key | ) | const`[inline]`

Definition at line 115 of file VrpParams.h.

References AlpsParameterSet::bpar_.

int VrpParams::entry | ( | const intParams | key | ) | const`[inline]`

Definition at line 117 of file VrpParams.h.

References AlpsParameterSet::ipar_.

double VrpParams::entry | ( | const dblParams | key | ) | const`[inline]`

Definition at line 119 of file VrpParams.h.

References AlpsParameterSet::dpar_.

const std::string& VrpParams::entry | ( | const strParams | key | ) | const`[inline]`

Definition at line 122 of file VrpParams.h.

References AlpsParameterSet::spar_.

const std::vector<std::string>& VrpParams::entry | ( | const strArrayParams | key | ) | const`[inline]`

Definition at line 125 of file VrpParams.h.

References AlpsParameterSet::sapar_.

void VrpParams::setEntry | ( | const boolParams | key,
|  | const char * | val |
| ) |  |  | `[inline]`

char* is true(1) or false(0), not used

Definition at line 130 of file VrpParams.h.

References AlpsParameterSet::bpar_.

void VrpParams::setEntry | ( | const boolParams | key,
|  | const char | val |
| ) |  |  | `[inline]`

char is true(1) or false(0), not used

Definition at line 133 of file VrpParams.h.

References AlpsParameterSet::bpar_.

void VrpParams::setEntry | ( | const boolParams | key,
|  | const bool | val |
| ) |  |  | `[inline]`

This method is the one that ever been used.

Definition at line 136 of file VrpParams.h.

References AlpsParameterSet::bpar_.

void VrpParams::setEntry | ( | const intParams | key,
|  | const char * | val |
| ) |  |  | `[inline]`

Definition at line 139 of file VrpParams.h.

References AlpsParameterSet::ipar_.

void VrpParams::setEntry | ( | const intParams | key,
|  | const int | val |
| ) |  |  | `[inline]`

Definition at line 142 of file VrpParams.h.

References AlpsParameterSet::ipar_.

void VrpParams::setEntry | ( | const dblParams | key,
|  | const char * | val |
| ) |  |  | `[inline]`

Definition at line 145 of file VrpParams.h.

References AlpsParameterSet::dpar_.

void VrpParams::setEntry | ( | const dblParams | key,
|  | const double | val |
| ) |  |  | `[inline]`

Definition at line 148 of file VrpParams.h.

References AlpsParameterSet::dpar_.

void VrpParams::setEntry | ( | const strParams | key,
|  | const char * | val |
| ) |  |  | `[inline]`

Definition at line 151 of file VrpParams.h.

References AlpsParameterSet::spar_.

void VrpParams::setEntry | ( | const strArrayParams | key,
|  | const char * | val |
| ) |  |  | `[inline]`

Definition at line 154 of file VrpParams.h.

References AlpsParameterSet::sapar_.

void VrpParams::pack | ( | AlpsEncoded & | buf | ) | `[inline, virtual]`

Pack the parameter set into the buffer (AlpsEncoded is used as buffer Here).

Reimplemented from AlpsParameterSet.

Definition at line 163 of file VrpParams.h.

References AlpsParameterSet::bpar_, AlpsParameterSet::dpar_, endOfBoolParams, endOfDblParams, endOfIntParams, endOfStrArrayParams, endOfStrParams, AlpsParameterSet::ipar_, AlpsParameterSet::sapar_, AlpsParameterSet::spar_, and AlpsEncoded::writeRep().

void VrpParams::unpack | ( | AlpsEncoded & | buf | ) | `[inline, virtual]`

Unpack the parameter set from the buffer.

Reimplemented from AlpsParameterSet.

Definition at line 176 of file VrpParams.h.

References AlpsParameterSet::bpar_, AlpsParameterSet::dpar_, endOfBoolParams, endOfDblParams, endOfIntParams, endOfStrArrayParams, endOfStrParams, AlpsParameterSet::ipar_, AlpsEncoded::readRep(), AlpsParameterSet::sapar_, and AlpsParameterSet::spar_.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Blis-0.92.0/Blis/examples/VRP/VrpParams.h